Subject: [manet] Updating or replacing RFC 3626

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 8 Jun 2012 20:57:18 +0100

PMFJI
 
This thread has brought up a question that I need to ask as I review OLSRv2
which you have requested goes for publication.
 
In what way does the WG intend OLSRv2 to replace/update/deprecate OSLRv1?
 
There is a whole range of options, and what you choose depends largely on what
future exposure you think OLSRv1 should have. You could:
 
- Move RFC 3626 to Historic
- Obsolete RFC 3626 with OLSRv2
- Leave RFC 3626 in place for further experimentation
- Update RFC 3626 as a separate activity to advance the experiment
 
What I don't think you are doing with OLSRv2 is Updating RFC 3626.
 
Thanks,
Adrian
 
From: [email-masked] [mailto:[email-masked]] On Behalf Of Stan
Ratliff
Sent: 08 June 2012 19:34
To: Teco Boot
Cc: Dearlove, Christopher (UK); manet; Abdussalam Baryun
Subject: Re: [manet] There is no document submitted so far to WG stating an
update request for RFC3626
 
Abdussalam,
 
The first paragraph of the "Introduction" section of OSLRv2 states: 
 
"The Optimized Link State Routing protocol version 2 (OLSRv2) is the
successor to OLSR (version 1) as published in [RFC3626]."

As such, I'm assuming that no additional work to RFC 3626 is expressed or
implied - OLSRv1 is documented in RFC 3626; OLSRv2 is, for all intents and
purposes, a new protocol documented by this new RFC. 
 
Regards,
Stan

On Jun 8, 2012, at 2:13 PM, Teco Boot wrote:

Op 8 jun. 2012 om 19:25 heeft Abdussalam Baryun <[email-masked]> het
volgende geschreven:

Hi Teco,
 
More precisely, we work on a replacement for the initial experimental
version.
 
you mean that there is a work for replacement, I don't see any
discussion befor about that, please advise,

I guess you can find it in the archives. 

RFC 3626 is not updated. It could get historic one day.

same what I thought, but one author of OLSRv2 mentioned that I may
misunderstood the process of OLSRv2, even though the authors don't
specify what will happen to RFC3626 when OLSRv2 is an RFC. I seen
other I-D when submitted for IESG they put inside the draft what the
draft authors intention if they obslete another documents or if their
new draft is updating any thing,
 
I have confidence in authors' knowledge on the proces. Dito for chairs. 

OLSRv2 does not mention the process of update, which IMHO it should if
authors want to update RFC3626,

I believe they don't. 
Same for workgroup. 

I may be wrong, but I hope the chair updates me with the status, may
be he received a private request of update out of the discussion list,
please advise,

I guess you misunderstood him. 

Enjoy your weekend. 
Teco

Regards
 
AB
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 
On 6/8/12, Teco Boot <[email-masked]> wrote:
 
Op 8 jun. 2012, om 14:31 heeft Henning Rogge het volgende geschreven:
 
On Fri, Jun 8, 2012 at 1:44 PM, Abdussalam Baryun
<[email-masked]> wrote:
Hi Chris,
 
Please note that MANET WG is doing OLSRv2 without updating RFC3626
which make people think why?
 
This sentence doesn't make sense.
 
OLSRv2 IS the update of RFC 3626.
More precisely, we work on a replacement for the initial experimental
version.
RFC 3626 is not updated. It could get historic one day.
 
Teco

Are you sure you understand how the IETF works to update existing
protocols?
 
Henning Rogge
 
--
Steven Hawkings about cosmic inflation: "An increase of billions of
billions of percent in a tiny fraction of a second. Of course, that
was before the present government."
_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet

_______________________________________________
manet mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/manet

---

From: Stan Ratliff <[email-masked]>
Date: Fri, 8 Jun 2012 16:34:24 -0400

Adrian, 

In that case, my vote as a WG member would be to obsolete RFC 3626.

Other WG members? Please jump in. 

Regards,
Stan

On Jun 8, 2012, at 3:57 PM, Adrian Farrel wrote:

> PMFJI
>  
> This thread has brought up a question that I need to ask as I review OLSRv2 which you have requested goes for publication.
>  
> There is a whole range of options, and what you choose depends largely on what future exposure you think OLSRv1 should have. You could:
>  
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Stan Ratliff
> Sent: 08 June 2012 19:34
> To: Teco Boot
> Subject: Re: [manet] There is no document submitted so far to WG stating an update request for RFC3626
>  
> Abdussalam,
>  
> As such, I'm assuming that no additional work to RFC 3626 is expressed or implied - OLSRv1 is documented in RFC 3626; OLSRv2 is, for all intents and purposes, a new protocol documented by this new RFC. 
>  
> Regards,
> Stan
>  
>  
> Op 8 jun. 2012 om 19:25 heeft Abdussalam Baryun <[email-masked]> het volgende geschreven:
> 
> 
> Hi Teco,
>

---

From: Henning Rogge <[email-masked]>
Date: Fri, 8 Jun 2012 23:05:57 +0200

Obsoleting RFC 3626 would make sense.

There will be quite a few deployments with OLSR (v1) for a long time,
but OLSRv2 (because of RFC 5444) is a much better base for
experiments.

Henning Rogge

On Fri, Jun 8, 2012 at 10:34 PM, Stan Ratliff <[email-masked]> wrote:
> There is a whole range of options, and what you choose depends largely on
> what future exposure you think OLSRv1 should have. You could:
>

---

From: Thomas Heide Clausen <[email-masked]>
Date: Fri, 8 Jun 2012 23:21:28 +0200

> but OLSRv2 (because of RFC 5444) is a much better base for

The existence of "quite a few deployments with OLSR (v1)" is, to me, a very good reason for not obsoleting OLSRv1 with the publication of OLSRv2 - I would be very much against that, especially as OLSRv2 isn't "broken" per se.

I would vote for "Leave RFC 3626 in place for further experimentation", for the time being; eventually, it may make sense to mark it as "Historic", but I do not think that we are there yet.

[We've got a proud history of co-existence when protocol versions are still in use: OPSFv2/OSPFv3; IPv4/IPv6, ....]

Best,

Thomas

---

From: Ulrich Herberg <[email-masked]>
Date: Fri, 8 Jun 2012 14:32:31 -0700

> I would vote for "Leave RFC 3626 in place for further experimentation", for the time being; eventually, it may make sense to mark it as "Historic", but I do not think that we are there yet.

+1

Ulrich

---

From: Teco Boot <[email-masked]>
Date: Sat, 9 Jun 2012 12:03:46 +0200

> The existence of "quite a few deployments with OLSR (v1)" is, to me, a very good reason for not obsoleting OLSRv1 with the publication of OLSRv2 - I would be very much against that, especially as O…
Did you mean "OLSR (v1) isn't "broken" per se"?

> I would vote for "Leave RFC 3626 in place for further experimentation", for the time being; eventually, it may make sense to mark it as "Historic", but I do not think that we are there yet.
+1
Historic means we do not take efforts to enhance it. It doesn't mean it is not used anymore. 

Let us save our energy, RFC 3626's Experimental status is fine and OLSRv2 doesn't update it.

Teco

---

From: Teco Boot <[email-masked]>
Date: Sat, 9 Jun 2012 12:17:45 +0200

> Obsoleting RFC 3626 would make sense.
As protocol designers, we can just ignore it. 

> but OLSRv2 (because of RFC 5444) is a much better base for
OK. But OLSRv2 is Standards Track. Let's _use_ it in the Internet.

_experimental_ enhancements on OLSRv2 / RFC 5444 are fine, but this is not 
our primary goal. OK, paying attention to IRTF work related to MANET is in
our charter.

Teco

---

From: Henning Rogge <[email-masked]>
Date: Sat, 9 Jun 2012 13:31:12 +0200

> our primary goal. OK, paying attention to IRTF work related to MANET is in

I was thinking about experiments like different routing metrics and
multi-topology routing, which should work well with the OLSRv2
standard. Or maybe testing some deeper connections between OLSRv2 mesh
routing and DLEP.

Henning Rogge

---

From: Teco Boot <[email-masked]>
Date: Sat, 9 Jun 2012 13:57:31 +0200

> standard. Or maybe testing some deeper connections between OLSRv2 mesh
OK, getting experience is great !!

Teco

---

From: Thomas Heide Clausen <[email-masked]>
Date: Sat, 9 Jun 2012 15:27:42 +0200

> Did you mean "OLSR (v1) isn't "broken" per se"?

Yes - good catch. Sorry.

+1

Thomas

---

From: Stan Ratliff <[email-masked]>
Date: Sat, 9 Jun 2012 15:50:02 -0400

So, I'm seeing consensus around Thomas' approach; namely, 

>>> 
>>> I would vote for "Leave RFC 3626 in place for further experimentation", for the time being
>> 

Adrian, is that an acceptable approach from the AD perspective? 

Regards,
Stan

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Mon, 11 Jun 2012 08:49:52 +0000

There are existing systems using OLSR (RFC 3626) such as Freifunk, so I think OLSR is clearly not yet historic nor should be considered obsoleted. I don't see anyone offering to update it (nor do I think they should). That leaves the third option of leaving RFC 3626 in place for further experimentation. That seems right to me.

--
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

From: [email-masked] [mailto:[email-masked]] On Behalf Of Adrian Farrel
Sent: 08 June 2012 20:57
To: 'manet'
Subject: [manet] Updating or replacing RFC 3626

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
PMFJI

Thanks,
Adrian

Abdussalam,

Regards,
Stan

Op 8 jun. 2012 om 19:25 heeft Abdussalam Baryun <[email-masked]<mailto:[email-masked]>> het volgende geschreven:

Hi Teco,

I believe they don't.
Same for workgroup.

Enjoy your weekend.
Teco

Regards

AB

On 6/8/12, Teco Boot <[email-masked]<mailto:[email-masked]>> wrote:

On Fri, Jun 8, 2012 at 1:44 PM, Abdussalam Baryun
<[email-masked]<mailto:[email-masked]>> wrote:
Hi Chris,

Teco

Henning Rogge

[email-masked]<mailto:[email-masked]>

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Philippe Jacquet <[email-masked]>
Date: Mon, 11 Jun 2012 11:18:34 +0200 (CEST)

Dear all,

Considering the time ellapsed between RFC 3626 and olsrv2 RFC (nine years and after more than 3000 RFC index units) and since many existing implementations, including commercial ones, are refering to RFC 3626, considering olsrv2 have distinct packet formats and supports addditional pieces of protocols, I would also recommand to keep RFC 3626 as active experimental, for at least some times (maybe less than nine years;-)?)

Best,
Philippe

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 11 Jun 2012 17:52:27 +0100

Hi Stan,

So, modulo some clarification of Obsoleted and Historical, I hear the WG and
will adopt the proposal.

I will suggest some text, during my AD review, for addition to the OLSRv2 spec
to make the status of OLSRv1 (or rather the non-impact of OLSRv2 on the status
of OLSRv1) completely clear.

Cheers,
Adrian

For the record:

The process described in RFC 2026 tends to suggest that "Historic" is coincident
with "Obsoleted", but in practice these have been used differently for a
considerable number of years.  In fact, someone as young as myself has trouble
recalling when they were ever handled the same.

Current usage suggests that an RFC is made Historic when it is unlikely to be
seen in the field, and when new implementations and deployments are considered a
Bad Idea (TM). One RFC obsoletes another when the new one contains the best
statement of the protocol for new implementations and deployments.

Thus it is clear that an obsoleted RFC will (should) often be moved to Historic
status, but that it will not always be the case.

What I hear in this case is that, while OLSRv2 is the protocol recommended by
the working group for implementation and wide-scale deployment, the WG also
considers that there is continued value in implementation and experimental
deployment of RFC 3626.

> -----Original Message-----
> From: Stan Ratliff [mailto:[email-masked]]
> Sent: 09 June 2012 20:50
> To: Thomas Heide Clausen; Adrian Farrel
> Cc: Teco Boot; Henning Rogge; manet
> Subject: Re: [manet] Updating or replacing RFC 3626
> 
> >>> I would vote for "Leave RFC 3626 in place for further experimentation",
for
> the time being
> >>> The existence of "quite a few deployments with OLSR (v1)" is, to me, a
very
> good reason for not obsoleting OLSRv1 with the publication of OLSRv2 - I would
> be very much against that, especially as OLSRv2 isn't "broken" per se.
> >>> I would vote for "Leave RFC 3626 in place for further experimentation",
for
> the time being; eventually, it may make sense to mark it as "Historic", but I
do not
> think that we are there yet.
> >> +1
> >> Historic means we do not take efforts to enhance it. It doesn't mean it is
not
> used anymore.
> >>> [We've got a proud history of co-existence when protocol versions are
still in
> use: OPSFv2/OSPFv3; IPv4/IPv6, ....]
> >>>
> >>> Best,
> >>>
> >>> Thomas
> >>>
> >>>> Henning Rogge
> >>>>
> >>>>> From: [email-masked] [mailto:[email-masked]] On
> Behalf
> >>>>> Of Stan Ratliff
> >>>>> Sent: 08 June 2012 19:34
> >>>>> To: Teco Boot
> >>>>> Op 8 jun. 2012 om 19:25 heeft Abdussalam Baryun
> <[email-masked]>
> >>>>> het volgende geschreven:
> >>>>>
> >>>>>
> >>>>> Hi Teco,
> >>>>>
> >>>>>
> >>>>>